Skip to:
Content
Pages
Categories
Search
Top
Bottom

Which WordPress and bbPress version combination?


  • wire42
    Member

    @wire42

    Can I use the latest production/stable releases of WordPress (2.8) and bbPress (0.9.0.5) together? Is that the best combination? Will most of the plug-ins or extensions for bbPress be available with those versions?

    I like the look of a lot of the plugins and just wanted to make sure that they will work. Thanks!

Viewing 6 replies - 1 through 6 (of 6 total)

  • chrishajer
    Participant

    @chrishajer

    > Can I use the latest production/stable releases of WordPress (2.8)

    > and bbPress (0.9.0.5) together?

    You can if you use something to make the cookies compatible:

    https://bbpress.org/plugins/topic/freshly-baked-cookies/

    or

    http://superann.com/2009/02/26/wordpress-26-27-bbpress-09-cookie-integration-plugin/

    Those were using bbPress 0.9.0.4 and WordPress 2.7, and there has been some additional talk about adding a line to (or was it removing a line from??) your bb-config.php to make the 0.9.0.* cookies work with WordPress 2.8:

    https://bbpress.org/forums/topic/bbpress-10-release-candidate-1#post-30330

    > Is that the best combination?

    Best is up to you to decide. I think you will find you can integrate logins and also have the greatest number of bbPress plugins available with 0.9.0.5.

    > Will most of the plug-ins or extensions for bbPress be available with those versions?

    The majority of the plugins were designed to work for 0.9 and below. There are significant changes to the 1.0 RC that some plugin authors are not updating their plugins until 1.0 becomes finalized.

    https://bbpress.org/forums/topic/list-of-plugins-that-work-on-rc1#post-37033


    Ashfame
    Participant

    @ashfame

    I have already tested the integration of WP 2.7.1 and bbPress 0.9.0.5 here : http://blog.ashfame.com/2009/05/integrate-bbpress-forum-with-your-wordpress-setup/

    Although WordPress 2.8 should work fine (theoretically) by following that integration tutorial but I havn’t tried it yet. I will let you know if I face any issue and will update the tutorial.

    Hope that helps!


    wire42
    Member

    @wire42

    Thanks, ashfame, I’ll be looking for that.


    Ashfame
    Participant

    @ashfame

    I tried integrating WordPress 2.8 with bbPress 0.9.0.5 today but I found out that it can’t be done as per my tutorial because WP 2.8 has added one more function by which they change how they handle login so “Freshly baked cookies” plugin is broken for WP 2.8 at the moment. I would suggest integrating WP 2.7.1 with bbPress 0.9.0.5

    Apart from new Widgets functionality, theme installing capability and some back-end performance improvement, you won’t miss much :P

    Or you can wait for a few days for bbPress 1.0 which will integrate with WP 2.8 without any pain.


    wire42
    Member

    @wire42

    OK, great. Thanks for looking into that. It almost seems that I’ve come at the wrong time, but I can’t wait to dive in.


    Ashfame
    Participant

    @ashfame

    No issues! Jump ahead and make it happen. Its nothing that can’t be done ;)

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.
Skip to toolbar